# Handbok &amarok;

Mike
Diehl

    madpenguin8@yahoo.com

AmaroK-utvecklingspatrullen
Utvecklare
Stefan
Asserhäll

    stefan.asserhall@comhem.se

Översättare
2005
AmaroK-utvecklingspatrullen
&FDLNotice;
2005-01-02
2.1

&amarok; är en mediaspelare för K-skrivbordsmiljön.

KDE
multimedia
spelare
ljud
ogg
MP3
wav
musik
ljud

## Inledning

Logotyp

&amarok; är ljudspelaren för &kde;. &amarok; är en ljudspelare med en mångfald funktioner som både är kraftfull och lättanvänd.

Märker du att du fastnar i genomsökning av ändlösa menyer bara för att lägga till musik i en spellista? Med &amarok; kan du helt enkelt dra och släppa musik i spellistan. Kanske letar du efter just den där låten bland tusentals i din samling. &amarok;s samlingsbläddrare med sin sökrad hjälper dig att hitta låten efter bara några sekunder.

Det verkar alltså som om &amarok; har samma gamla funktioner som finns i de vanliga ljudspelarna, men vi slutade inte med det. Ta en titt på sammanhangsbläddraren så ser du varför &amarok; är ett steg före mängden. Sammanhangsbläddraren tillhandahåller en databas som skapas i farten för att tillhandahålla ständigt uppdaterad statistik om din spellista. Sammanhangsbläddraren kan också visa skivomslag som du har, vilket inte bara gör den informativ utan också rolig att titta på.

Har du redan många olika spellistor men kan aldrig bestämma dig för vilken du vill använda? Då är spellistebläddraren till för dig. Att ladda dina sparade spellistor i spellistebläddraren är så enkelt som en enda tangenttryckning.

Förutom aRts stöder &amarok; också ljudservrarna Gstreamer, NMM och xine, vilket gör den till den mest avancerade ljudspelare tillgänglig för &kde;. &amarok; är smart, sexig och intelligent. Prova den redan idag!

&amarok-quick;

&amarok-config;

&amarok-using;

&amarok-advanced;

&amarok-faq;

## Tack till och licens

Program copyright 2003-2004 Mark Kretschmann markey@web.de och AmaroK-gruppen.

### AmaroK-gruppen

- Christian tjejmagneten Muehlhaeuser chris@chris.de

- Frederik jag är inte tysk! Holljen fh@ez.no

- Mark det är bra, men det är inte irssi Kretschmann markey@web.de

- Max makt åt sköldpaddorna Howell max.howell@methylblue.com

- Mike rosa är inte flickaktigt! Diehl madpenguin8@yahoo.com

- Pierpaolo spagettikodaren Di Panfilo pippo_dp@libero.it

- Roman Gud sade: "Mac, bli till!" Becker roman@formmorf.de

- Stanislav var det någon som sa DCOP? Karchebny Stanislav.Karchebny@kdemail.net

- Stefan Makromolekylär mu-modellerare Bogner bochi@online.ms

### Bidragsgivare:

- Adam Pigg (analysatorer, programfixar) adam@piggz.fsnet.co.uk

- Adeodato Simo (programfixar) asp16@alu.ua.es

- Andreas Mair (stöd för MySql) am_ml@linogate.com

- Dan Leinir Turthra Jensen (startguiden) admin@removeleinir.dk

- Enrico Ros (analysatorer, OpenGL-kung) eros.kde@email.it

- Jarkko Lehti (test) grue@iki.fi

- Josef Spillner (KDE-radiostationskod) spillner@kde.org

- Kenneth Wesley Wimer II (ikoner) kwwii@bootsplash.org

- Melchior Franz (ny FFT-rutin, felrättningar) mfranz@kde.org

- Michael Pyne (K3B-exportkod) michael.pyne@kdemail.net

- Nenad Grujicic (startskärm för 1.1) mchitman@neobee.net

- Olivier Bédard (värddator för webbplats) paleo@pwsp.net

- Roland Gigler (MAS-gränssnitt) michael.pyne@kdemail.net

- Sami Nieminen (stöd för Audioscrobbler) sami.nieminen@iki.fi

- Scott Wheeler (TagLib) wheeler@kde.org

- Seb Ruiz (förbättring av skärmvisning, programfixar, testning) seb100@optusnet.com.au

- Whitehawk Stormchaser (test, programfixar) zerokode@gmx.net

Dokumentation copyright 2004 Mike Diehl madpenguin8@yahoo.com

&underFDL; &underGPL;

&amarok-req;

## Installation

### Hur man skaffar &amarok;

&amarok; kan laddas ner från &amarok;s hemsida

Den senaste utvecklingsversionen kan skaffas från &kde; CVS, modulen kdeextragear-1.

#### Hur man kompilerar &amarok;

För att kompilera och installera amaroK på ditt system, skriv följande i baskatalogen för amaroKs distribution:

`./configure --prefix=`kde-config --prefix``

`make`

`su -c "make install"`

Väljaren --enable-final i configure stöds inte längre.

Eftersom &amarok; använder autoconf och automake bör du inte ha några problem att kompilera det. Skulle du stöta på problem, var snäll och rapportera dem till &kde;:s e-postlistor.

#### Konfigureringsväljare

&amarok; liknar många andra program med avseende på att det har flera valfria funktioner vid kompilering som kan aktiveras eller inaktiveras under konfigureringen. Det här är en lista över funktionerna som kan konfigureras.

Vissa kompileringsfunktioner kräver att särskilda beroenden är uppfyllda. Se avsnittet om krav för mer detaljerad information.

Väljare | Förval | Beskrivning
--- | --- | ---
--enable-debug= | no | Aktiverar avlusningssymboler. Välj antingen yes (ja), no (nej) eller full (fullständiga). Använd väljaren full om du har för avsikt att hjälpa till med utveckling av &amarok;.
--enable-mysql | Inaktiverad | Aktiverar stöd för MySql databas i &amarok;
--disable-amazon | Aktiverad | Inaktiverar nerladdningsstöd för omslagsbilder från Amazon i &amarok;
--without-arts | Med | Inaktiverar stöd för aRts i &amarok;
--without-gstreamer | Med | Inaktiverar stöd för Gstreamer i &amarok;
--without-xine | Med | Inaktiverar stöd för Xine i &amarok;
--with-nmm | Utan | Aktiverar stöd för NMM i &amarok;
--with-mas | Utan | Aktiverar stöd för MAS i &amarok;
--without-opengl | Med | Inaktiverar stöd för OpenGL (analysatorer) i &amarok;
--without-included-sqlite | Med | Använd inte den inkluderade källkoden för sqlite (kräver att sqlite är installerat)

&documentation.index;